@page "/Statistics/Reproduction"
@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@inject IJSRuntime JSRuntime
@using BioMap
@using ChartJs.Blazor.Common.Enums
@using ChartJs.Blazor.Common.Axes
@using ChartJs.Blazor.Common.Axes.Ticks
@using ChartJs.Blazor.Common
@using ChartJs.Blazor.Common.Handlers
@using ChartJs.Blazor.Common.Time
@using ChartJs.Blazor.LineChart
@using ChartJs.Blazor.BarChart
@using ChartJs.Blazor.BarChart.Axes
@inherits ProtectedPage

<div class="box">
  <div class="row header">
    <FilterSettings FilteringTarget="@Filters.FilteringTargetEnum.Catches" />
  </div>
  <div class="row content">
    <h1>@Localize["Reproduction"]</h1>
    <Tabs SelectedTab="@selectedTab" SelectedTabChanged="@OnSelectedTabChanged" Pills="true">
      <Items>
        <Tab Name="OverTime">@Localize["Over time"]</Tab>
        <Tab Name="ByPlace">@Localize["By place"]</Tab>
        <Tab Name="ByPlaceAndTime">@Localize["By place and time"]</Tab>
      </Items>
      <Content>
        <TabPanel Name="OverTime">
          <Row>
            <Column>
              <CheckBox Checked="@SD.ReproductionOverTimeIncludeAnonymous" LabelText=@Localize["Include anonymous hatchlings"] OnAnyChangedCallback="@CheckBoxReproductionOverTimeIncludeAnonymous_CheckedChanged" />
            </Column>
            <Column>
              <CheckBox Checked="@SD.ReproductionOverTimeIncludeLaterCatches" LabelText=@Localize["Include later catches"] OnAnyChangedCallback="@CheckBoxReproductionOverTimeIncludeLaterCatches_CheckedChanged" />
            </Column>
          </Row>
          <Row>
            <Column>
              @Localize[""]
            </Column>
          </Row>
          <Row>
            <Column>
              <Chart @ref="_chartJsOverTime" Config="@_configOverTime" Width="600" Height="300" />
            </Column>
          </Row>
          <Row>
            <Column>
              <TableFromChart @ref="_tableFromChartOverTime" RowLabel="@Localize["Time"]" _config="@_configOverTime" />
            </Column>
          </Row>
        </TabPanel>
        <TabPanel Name="ByPlace">
          <Row>
            <Column>
              @Localize["Individuals are counted only once at each location. Only locations with at least one adult and one hatchling are listed. Reproduction rate is the quotient of hatchlings and adults. Adults are all from 2, hatchlings with 0 hibernations."]
            </Column>
          </Row>
          <Row>
            <Column>
              <Chart @ref="_chartJsByPlace" Config="@_configByPlace" Width="600" Height="300" />
            </Column>
          </Row>
          <Row>
            <Column>
              <TableFromChart @ref="_tableFromChartByPlace" RowLabel="@Localize["Place"]" _config="@_configByPlace" />
            </Column>
          </Row>
        </TabPanel>
        <TabPanel Name="ByPlaceAndTime">
          <Row>
            <Column>
              @Localize["Number of juvenile Bombina variegata from live beings, from catches with 0 hibernations including those below minimum length."]
            </Column>
          </Row>
          <Row>
            <Column>
              <Chart @ref="_chartJsByPlaceAndTime" Config="@_configByPlaceAndTime" Width="600" Height="300" />
            </Column>
          </Row>
        </TabPanel>
      </Content>
    </Tabs>
  </div>
</div>
